Subject: RE: question on next-hop determination

From: "Qing Li" <[email-masked]>
Date: Tue, 19 Nov 2002 21:34:58 -0800

I am still not clear on this because I didn't receive 
	any more replies ...

	What do you do in the case where the host is multihomed?
	Which interface do you use to send the packets?
	
	I think it introduces more issues than what I think it tries 
	to resolve.

	Please help me clarify this.

	-- Qing

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Qing Li
> Sent: Thursday, October 10, 2002 7:05 PM
> To: Thomas Narten
> Cc: [email-masked]
> Subject: RE: question on next-hop determination 
> 
> 
> 
> > 
> > > 	In RFC2461, section 5.2, paragraph 2, the last
> > > 	sentence is "If the Default Router List is empty,
> > > 	the sender assumes that the destination is on-link."
> > 
> > > 	Why should the destination be considered on-link ??
> > 
> > Its a last resort. I.e., assuming on-link may be a better as the final
> > last step compared with just giving up.
> > 
> 
> 	I think the sending host should just drop the packet when the
> 	destination is not covered in its prefix list and there is
> 	no default route installed. Otherwise IMHO this last attempt 
> 	would lead to erroneous packet generation, and allows 
> 	misconfigured host or host running a buggy implementation to 
> 	continue with bad behavior. 
> 
> 	Also the code put in to supporting this looks and feels 
> 	like hacks.
> 
> 	Could you please describe a scenario in which such a situation 
> 	might occur, and it makes sense to make this final attempt ??
> 
> 
> 	-- Qing
> 
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Jun-ichiro itojun Hagino <[email-masked]>
Date: Thu, 21 Nov 2002 09:16:55 +0900

>	I think it introduces more issues than what I think it tries 

	i also find this part of specification very weird.
	in what kind of situation does this behavior help nodes?
	also, as Qing pointed out a node cannot decide which interface
	it should send out the packet.

itojun